For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet open algo orders
        • POSTCreate algo order
        • GETGet algo orders history
        • GETGet algo order by id
        • DELCancel algo order by id
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceAlgos

Get algo orders history

GET
https://api.testnet.paradex.trade/v1/algo/orders-history
GET
/v1/algo/orders-history
$curl -X GET https://api.testnet.paradex.trade/v1/algo/orders-history \
>-H 'Accept: application/json' \
>-H 'Authorization: Bearer {JWT}'
1{
2 "next": "eyJmaWx0ZXIiMsIm1hcmtlciI6eyJtYXJrZXIiOiIxNjc1NjUwMDE3NDMxMTAxNjk5N=",
3 "prev": "eyJmaWx0ZXIiOnsiTGltaXQiOjkwfSwidGltZSI6MTY4MTY3OTgzNzk3MTMwOTk1MywibWFya2VyIjp7Im1zMjExMD==",
4 "results": [
5 {
6 "account": "0x4638e3041366aa71720be63e32e53e1223316c7f0d56f7aa617542ed1e7512",
7 "algo_type": "TWAP",
8 "avg_fill_price": "26000",
9 "cancel_reason": "NOT_ENOUGH_MARGIN",
10 "created_at": 1681493746016,
11 "end_at": 1681493746016,
12 "id": "123456",
13 "last_updated_at": 1681493746016,
14 "market": "BTC-USD-PERP",
15 "remaining_size": "0",
16 "side": "BUY",
17 "size": "0.05",
18 "status": "NEW"
19 }
20 ]
21}
Get current user algo orders filtered on attributes
Was this page helpful?
Previous

Get algo order by id

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

client_idstringOptional
Unique ID of client generating the order
cursorstringOptional

Returns the ‘next’ paginated page.

end_atintegerOptional

End Time (unix time millisecond)

marketstringOptional
Market for the order
page_sizeintegerOptional1-5000Defaults to 100
Limit the number of responses in the page
sideenumOptional
Order side
Allowed values:
start_atintegerOptional

Start Time (unix time millisecond)

statusenumOptional
Order status
Allowed values:
typeenumOptional
Order type

Response

OK
nextstring

The pointer to fetch next set of records (null if there are no records left)

prevstring

The pointer to fetch previous set of records (null if there are no records left)

resultslist of objects
Array of paginated results

Errors

400
Bad Request Error